Show / Hide Table of Contents

# Class OpenIddictValidationAspNetCoreBuilder

Exposes the necessary methods required to configure the OpenIddict validation ASP.NET Core integration.

##### Inheritance

System.Object
OpenIddictValidationAspNetCoreBuilder

##### Inherited Members

System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationAspNetCoreBuilder

### Constructors

#### OpenIddictValidationAspNetCoreBuilder(IServiceCollection)

Initializes a new instance of OpenIddictValidationAspNetCoreBuilder.

##### Declaration

    public OpenIddictValidationAspNetCoreBuilder(IServiceCollection services)

##### Parameters

Type | Name | Description
--- | --- | ---
IServiceCollection | services | The services collection.

### Properties

#### Services

Gets the services collection.

##### Declaration

    public IServiceCollection Services { get; }

##### Property Value

Type | Description
--- | ---
IServiceCollection |

### Methods

#### Configure(Action<OpenIddictValidationAspNetCoreOptions>)

Amends the default OpenIddict validation ASP.NET Core configuration.

##### Declaration

    public OpenIddictValidationAspNetCoreBuilder Configure(Action<OpenIddictValidationAspNetCoreOptions> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<OpenIddictValidationAspNetCoreOptions> | configuration | The delegate used to configure the OpenIddict options.

##### Returns

Type | Description
--- | ---
OpenIddictValidationAspNetCoreBuilder | The OpenIddictValidationAspNetCoreBuilder.

##### Remarks

This extension can be safely called multiple times.

#### Equals(Object)

##### Declaration

    public override bool Equals(object obj)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | obj |

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Overrides

System.Object.Equals(System.Object)

#### GetHashCode()

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
System.Int32 |

##### Overrides

System.Object.GetHashCode()

#### SetRealm(String)

Sets the realm returned to the caller as part of the WWW-Authenticate header.

##### Declaration

    public OpenIddictValidationAspNetCoreBuilder SetRealm(string realm)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | realm | The issuer address.

##### Returns

Type | Description
--- | ---
OpenIddictValidationAspNetCoreBuilder | The OpenIddictValidationAspNetCoreBuilder.

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()